CVE-2016-6521

Published on: 01/23/2017 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:12 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Certain versions of Grails from Gopivotal contain the following vulnerability:

Cross-site request forgery (CSRF) vulnerability in Grails console (aka Grails Debug Console and Grails Web Console) 2.0.7, 1.5.10, and earlier allows remote attackers to hijack the authentication of users for requests that execute arbitrary Groovy code via unspecified vectors.

  • CVE-2016-6521 has been assigned by [email protected] to track the vulnerability - currently rated as HIGH severity.

CVSS3 Score: 8.8 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE REQUIRED
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 6.8 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK MEDIUM NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
CSRF vulnerability, again · Issue #55 · sheehan/grails-console · GitHub Patch
Vendor Advisory
github.com
text/html
URL Logo CONFIRM github.com/sheehan/grails-console/issues/55
CSRF prevention · Issue #54 · sheehan/grails-console · GitHub Exploit
Vendor Advisory
github.com
text/html
URL Logo CONFIRM github.com/sheehan/grails-console/issues/54
oss-security - CVE Request: CSRF in Grails console Patch
Third Party Advisory
www.openwall.com
text/html
URL Logo MLIST [oss-security] 20160801 CVE Request: CSRF in Grails console
oss-security - Re: CVE Request: CSRF in Grails console Patch
Third Party Advisory
www.openwall.com
text/html
URL Logo MLIST [oss-security] 20160802 Re: CVE Request: CSRF in Grails console
Malformed Request cve.report (archive)
text/html
URL Logo BID 92267
oss-security - Grails Console is still vulnerable to CSRF CVE-2016-6521 Third Party Advisory
www.openwall.com
text/html
URL Logo MLIST [oss-security] 20160803 Grails Console is still vulnerable to CSRF CVE-2016-6521

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationGopivotalGrails2.0.6AllAllAll
ApplicationGopivotalGrails2.0.6AllAllAll
ApplicationGopivotalGrailsAllAllAllAll
  • cpe:2.3:a:gopivotal:grails:2.0.6:*:*:*:*:*:*:*:
  • cpe:2.3:a:gopivotal:grails:2.0.6:*:*:*:*:*:*:*:
  • cpe:2.3:a:gopivotal:grails:*:*:*:*:*:*:*:*: